{% set price = product.price|number_format(2, '.', '') %}
{% set image_size_cart = config.plugins.shoppingcart.ui.image_size_cart %}

{{ shoppingcart_output_page_product_before_add_to_cart|raw }}

<button type="button" class="button primary js__shoppingcart__button-add-to-cart" data-id="{{product.id|e}}">
    <i class="fa fa-shopping-cart"></i> {{ 'PLUGIN_SHOPPINGCART.ADD_TO_CART'|t|e }}
</button>

<script>
    {% do assets.addInlineJs('
        (function() {
            var currentProduct = {
                title: "'~ product.title|e ~'",
                id: "'~ product.id|e ~'",
                formatted_price: "'~ price|e ~'",
                price: "'~ price|e ~'",
                image: "'~ product.image.cropResize(image_size_cart, image_size_cart).url|raw ~'",
                url: "'~ product.url|raw ~'",
                attribut: {}
            };
            if (ShoppingCart.currentPageIsProducts) {
                ShoppingCart.currentProducts.push(currentProduct);
            } else {
                ShoppingCart.currentProduct = currentProduct;
                ShoppingCart.currentPageIsProduct = true;
            }
        }());
    ', { priority: 102, group:'bottom' }) %}
</script>
